Bug 144510 - javah should support -force option.
javah should support -force option.
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
Depends On:
  Show dependency treegraph
Reported: 2005-01-07 16:03 EST by Anthony Green
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-03 18:56:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2005-01-07 16:03:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I was building some open source java & JNI code that built out of the
box on fc3 with java-gcj-compat, with the exception that javah
complained about the use of -force.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run javah with -force

Additional info:
Comment 1 Thomas Fitzsimmons 2005-01-07 16:14:06 EST
We should probably add a -force option to gcjh.  Can you file a bug
against gcjh in the gcc repository?  In the meantime I can make the
wrapper script just eat that option.
Comment 2 Thomas Fitzsimmons 2005-03-03 18:56:09 EST
I've put a workaround in java-gcj-compat.  See:


Closing this here.

Note You need to log in before you can comment on or make changes to this bug.